Home//
REST API Reference
/- Set an admin to away
Identify an admin
List all activity logs
List all admins
Retrieve an admin
Admin
Set an admin to away
You can set an Admin as away for the Inbox.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
- The production API serverhttps://api.intercom.io/admins/{id}/away
- The european API serverhttps://api.eu.intercom.io/admins/{id}/away
- The australian API serverhttps://api.au.intercom.io/admins/{id}/away
- Successful response
- Admin not found
- Unauthorized
curl -i -X PUT \
'https://api.intercom.io/admins/{id}/away' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.9' \
-d '{
"away_mode_enabled": true,
"away_mode_reassign": true
}'Successful response
Identifies if this admin is set to automatically reassign new conversations to the apps default inbox.
Example:false
Identifies if this admin has a paid inbox seat to restrict/allow features that require them.
Example:true
This object represents the avatar associated with the admin.
Example:
[ 814865 ]
Image for the associated team or teammate
Example:"https://picsum.photos/200/300"
team_priority_levelobject or null(Team Priority Level)
Admin priority levels for teams
Response
{ "type": "admin", "id": "991267243", "name": "Ciaran2 Lee", "email": "admin2@email.com", "away_mode_enabled": true, "away_mode_reassign": true, "has_inbox_seat": true, "team_ids": [] }